#!/usr/bin/env kjscmd

// Demo of QFrame and enum support

function add_frame( parent )
{
  var v = new QVBox( parent );
  v.margin = 6;

  return new QFrame( v );
}

var top = new QVBox();
var hbox = new QHBox( top );

var f = add_frame( hbox );
f.frameShape = QFrame.Box;

f = add_frame( hbox );
f.frameShape = QFrame.WinPanel | QFrame.Sunken;

f = add_frame( hbox );
f.frameShape = QFrame.PopupPanel;

top.resize(300,200);

top.show();
application.exec();
